Bug 207978 - blktapctrl SEGVs on illegal tap: device
blktapctrl SEGVs on illegal tap: device
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-25 13:03 EDT by Stephen Tweedie
Modified: 2009-04-20 05:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 05:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-09-25 13:03:34 EDT
Description of problem:
If the user enters
   tap:$FILE
instead of
   tap:aio:$FILE
as a blkif device in a xen config, then on "xm create", blktapctrl will SEGV
after calling test_path() and getting a NULL back.

Version-Release number of selected component (if applicable):
xen-3.0.2-36
Comment 2 Red Hat Bugzilla 2007-07-24 19:59:34 EDT
change QA contact
Comment 4 Bug Zapper 2008-05-13 22:22:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jeremy Katz 2009-03-24 14:18:45 EDT
Does this still happen?
Comment 6 Mark McLoughlin 2009-04-20 05:55:23 EDT
Closing this, we don't have Dom0 support anymore anyway

Note You need to log in before you can comment on or make changes to this bug.